"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
class AxiosResponseErrorHandler {
    static rethrowBadRequestError(error) {
        AxiosResponseErrorHandler.rethrowError(error, common_1.HttpStatus.BAD_REQUEST, common_1.BadRequestException);
    }
    static rethrowNotFoundError(error) {
        AxiosResponseErrorHandler.rethrowError(error, common_1.HttpStatus.NOT_FOUND, common_1.NotFoundException);
    }
    static rethrowError(error, errorHttpStatusCode, errorType) {
        if (this.isHttpError(error, errorHttpStatusCode)) {
            throw new errorType(this.getResponseErrorMessage(error));
        }
    }
    static isHttpError(error, httpStatus) {
        return error && error.response && error.response.status === httpStatus;
    }
    static getResponseErrorMessage(error) {
        return error.response.data && error.response.data.message || error.response.data;
    }
}
exports.AxiosResponseErrorHandler = AxiosResponseErrorHandler;
//# sourceMappingURL=AxiosResponseErrorHandler.js.map